# class REXML::NotationDecl

### Attributes

public[RW]
system[RW]

### Public Class Methods

new(name, middle, pub, sys) click to toggle source
Calls superclass method `REXML::Child::new`

    # File lib/rexml/doctype.rb, line 291
    def initialize name, middle, pub, sys
      super(nil)
      @name = name
      @middle = middle
      @public = pub
      @system = sys
    end

### Public Instance Methods

name() click to toggle source

This method retrieves the name of the notation.

`Method` contributed by Henrik Martensson

    # File lib/rexml/doctype.rb, line 316
    def name
      @name
    end

to_s() click to toggle source

    # File lib/rexml/doctype.rb, line 299
    def to_s
      context = nil
      context = parent.context if parent
      notation = "<!NOTATION #{@name}"
      reference_writer = ReferenceWriter.new(@middle, @public, @system, context)
      reference_writer.write(notation)
      notation << ">"
      notation
    end

write( output, indent=-1 ) click to toggle source

    # File lib/rexml/doctype.rb, line 309
    def write( output, indent=-1 )
      output << to_s
    end